<?php
/*
Plugin Name: Support Chat
Description: Increase your sites conversions and sales by as much as 300% by offering live support.
Version: 2.0
Author: Brett Rutecky
*/


/***********************************************************************************/
/*                             Plugin Activation                                   */
/***********************************************************************************/
	function sc_install(){
		
		 $plugin_root = dirname(__FILE__).DIRECTORY_SEPARATOR;
 		 include($plugin_root.'constants.php');
		 
		 add_option( BasicColor, '820808');
		 add_option( OfflineMessage, 'Sorry, live support is offline right now. However you can still send us an email.');
		 add_option( ButtonGraphic, '');
		 add_option( ShowSideButton, '1');
		 add_option( ShowOverLay, '1');
		 add_option( FromTop, '200');
		 add_option( RightLeft, '1');
     add_option( OpeningMessage, '');
     add_option( ProactiveChat, '0');
		 add_option( AdminEmail, get_option('admin_email'));
     add_option( ScButtonSize,'0');
		 add_option( ScMainHeader,'Support Chat');
     add_option( ScEmailHeader,'Email Support');
     add_option( ScButtonGraphic,'live_support.png');
		
    // Agents Table
		$wpdb->query("CREATE TABLE IF NOT EXISTS ".AGENTS_TABLE." (
					  A_ID int(7) NOT NULL AUTO_INCREMENT,
					  AgentName varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
					  AgentPassword varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
					  IsOnline int(1) NOT NULL DEFAULT '0',
					  PRIMARY KEY (A_ID)
					)");
					
		// Customers Table			
		$wpdb->query("CREATE TABLE IF NOT EXISTS ".CUSTOMERS_TABLE." (
					  C_ID int(9) NOT NULL AUTO_INCREMENT,
					  CustomerIP varchar(25) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
					  CustomerName varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
					  AssignedTo int(9) NOT NULL,
					  IsActive int(1) NOT NULL DEFAULT '1',
					  AssignedAgentName varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
					  PRIMARY KEY (C_ID)
					)");
		
		// Message Table			
		$wpdb->query("CREATE TABLE IF NOT EXISTS ".MESSAGES_TABLE." (
  						M_ID int(9) NOT NULL AUTO_INCREMENT,
  						FromX varchar(25) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  						ToX varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  						Message text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  						TimeCode varchar(25) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  						PRIMARY KEY (M_ID)
					)");						

		

	}
	register_activation_hook(__FILE__, 'sc_install');
	
		function sc_delete(){
		$plugin_root = dirname(__FILE__).DIRECTORY_SEPARATOR;
 		 include($plugin_root.'constants.php');
		 
		$wpdb->query("Drop TABLE ".AGENTS_TABLE);
		$wpdb->query("Drop TABLE ".CUSTOMERS_TABLE);
		$wpdb->query("Drop TABLE ".MESSAGES_TABLE);
		
	}
	
	register_uninstall_hook(__FILE__, 'sc_delete');
	
	
	/****************************************************************************************/
	/**                              WP Admin Pages                                       **/
	/****************************************************************************************/
	
	function sc_add_pages() {
		
		// Main Page
		add_menu_page( "Support Chat", "Support Chat", "manage_options", __FILE__, "dashboard", plugins_url( 'images/admin_icon.png' , __FILE__ ), "100" );
		
		// Inner Pages
		add_submenu_page( 'support-chat/support-chat.php', "Settings", "Settings", "manage_options", "support-chat/admin/settings.php");
		add_submenu_page( 'support-chat/support-chat.php', "Agents", "Agents", "manage_options", "support-chat/admin/agents.php");
		add_submenu_page( 'support-chat/support-chat.php', "Help", "Help", "manage_options", "support-chat/help.php");
		
		// Support Chat Dashboard
		function dashboard(){
			 $plugin_root = dirname(__FILE__).DIRECTORY_SEPARATOR;
 			 include($plugin_root.'constants.php');
		?>
        	<div class="admin_outer">
            	<?php include('admin/header.php'); ?>
                <?php include('admin/dashboard.php'); ?>
            </div>
        <?php	
		}
		
		
	}
	add_action('admin_menu','sc_add_pages');
	
	
	/***********************************************************************************************/
	/***                           Add Style and Scripts for Plugin  		                   *****/
	/***********************************************************************************************/

 
	wp_enqueue_style('support-chat', plugins_url( 'css/admin.css' , __FILE__ ), '', '', '');
	//wp_enqueue_script('support-chat', plugins_url( 'js/jquery.min.js' , __FILE__ ), '', '', '');
	
	
	
	/***********************************************************************************************/
	/***                           Add Shortcodes                    		                   *****/
	/***********************************************************************************************/



	function agent_section() {
		 $myX = (include 'agents/index.php');
	}
	add_shortcode('Agent_Section', 'agent_section');
	
	function support_chat() {
		 $myY = (include 'chat/index.php');
	}
	add_shortcode('Support_Chat', 'support_chat');
	
	
	
	
	
	
?>